Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class ProprietaryPrice2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.ProprietaryPrice2

    public class ProprietaryPrice2
    extends java.lang.Object

Java class for ProprietaryPrice2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProprietaryPrice2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="Pric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `pric`
`protected java.lang.String` `tp`

### Constructor Summary

Constructors
`ProprietaryPrice2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getPric()` Gets the value of the pric property.
`java.lang.String` `getTp()` Gets the value of the tp property.
`void` `setPric​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the pric property.
`void` `setTp​(java.lang.String value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected java.lang.String tp

#### pric

    protected ActiveOrHistoricCurrencyAndAmount pric

### Constructor Detail

#### ProprietaryPrice2

    public ProprietaryPrice2()

### Method Detail

#### getTp

    public java.lang.String getTp()

Gets the value of the tp property.

Returns:
  possible object is `String`

#### setTp

    public void setTp​(java.lang.String value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

#### getPric

    public ActiveOrHistoricCurrencyAndAmount getPric()

Gets the value of the pric property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setPric

    public void setPric​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the pric property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`